Bug 591874 - [abrt] crash in mercurial-1.5.2-1.fc12: dirstate.py:145:f:TypeError: argument of type 'NoneType' is not iterable
[abrt] crash in mercurial-1.5.2-1.fc12: dirstate.py:145:f:TypeError: argument...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
abrt_hash:35db3e17
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 07:48 EDT by Thomas Pemberton
Modified: 2010-06-01 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: mercurial-1.5.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 07:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.12 KB, text/plain)
2010-05-13 07:48 EDT, Thomas Pemberton
no flags Details

  None (edit)
Description Thomas Pemberton 2010-05-13 07:48:31 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/hg status
component: mercurial
executable: /usr/bin/hg
kernel: 2.6.32.11-99.fc12.i686
package: mercurial-1.5.2-1.fc12
reason: dirstate.py:145:f:TypeError: argument of type 'NoneType' is not iterable
release: Fedora release 12 (Constantine)
Comment 1 Thomas Pemberton 2010-05-13 07:48:33 EDT
Created attachment 413729 [details]
File: backtrace
Comment 2 Mads Kiilerich 2010-05-13 08:56:33 EDT
That is already tracked upstream on http://mercurial.selenic.com/bts/issue2181 and a patch has been made in http://hg.intevation.org/mercurial/crew/rev/e0a0af140f2e , to be released in mercurial 1.5.3 on june 1st.

Thomas, could you try to edit /usr/lib/python2.6/site-packages/mercurial/context.py line 688 and verify that it solves your problem?
Comment 3 Thomas Pemberton 2010-05-14 07:48:56 EDT
Yes, The modification of context.py solves the problem. Thanks.
Comment 4 Fedora Update System 2010-05-14 07:57:40 EDT
mercurial-1.5.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mercurial-1.5.3-1.fc13
Comment 5 Fedora Update System 2010-05-14 08:04:46 EDT
mercurial-1.5.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mercurial-1.5.3-1.fc12
Comment 6 Fedora Update System 2010-05-14 08:11:30 EDT
mercurial-1.5.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mercurial-1.5.3-1.fc11
Comment 7 Fedora Update System 2010-06-01 14:14:47 EDT
mercurial-1.5.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-06-01 14:16:24 EDT
mercurial-1.5.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-01 14:22:41 EDT
mercurial-1.5.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.